[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.OnShow

Event handler signalled when the page becomes visible.

## Declaration

Source position: comctrls.pp line 277

`public property TCustomPage.OnShow : TNotifyEvent read FOnShow write FOnShow;`

## Description

OnShow is a TNotifyEvent property with the event handler signalled when the page becomes visible. OnShow is signalled from the DoShow method, and occurs when the value in the Visible property is set to True.

Applications can implement and assign a handler routine to respond to the event notification. The Sender argument contains the TCustomPage instance for the event notification.